DecomRecorder Class Reference

`#include <DecomRecorder.h>`

Inheritance diagram for DecomRecorder:

## Public Member Functions

| DecomRecorder (Ideal *recordInto)
virtual void | beginConsuming ()
| Tell the consumer to begin consuming an ideal.
virtual void | consume (const Term &term)
| Consume a term.
virtual void | doneConsuming ()
| Must be called once after each time beginConsuming has been called.
Public Member Functions inherited from TermConsumer
virtual | ~TermConsumer ()
virtual void | consumeRing (const VarNames &names)
| Tell the consumer which ring is being used.
virtual void | beginConsumingList ()
| Tell the consumer that the ideals that are consumed until the next call to doneConsumingList are to be considered as one list of ideals, rather than as a number of separate ideals.
virtual void | doneConsumingList ()
| Must be called once after each time beginConsumingList has been called.
void | consume (const Ideal &ideal)
| This is a non-virtual utility method that calls the other methods to achieve its effect of calling beginConsuming, then consuming all generators, and then calling doneConsuming.

## Private Attributes

Ideal * | _recordInto

## Detailed Description

Definition at line 25 of file DecomRecorder.h.

## Constructor & Destructor Documentation

## DecomRecorder()

DecomRecorder::DecomRecorder | ( | Ideal * | recordInto | ) |

Definition at line 22 of file DecomRecorder.cpp.

## Member Function Documentation

## beginConsuming()

void DecomRecorder::beginConsuming | ( |  | ) |

virtual

Tell the consumer to begin consuming an ideal.

It is required to call this method before calling consume().

Implements TermConsumer.

Definition at line 27 of file DecomRecorder.cpp.

## consume()

void DecomRecorder::consume | ( | const Term & | term | ) |

virtual

Consume a term.

Implements TermConsumer.

Definition at line 30 of file DecomRecorder.cpp.

## doneConsuming()

void DecomRecorder::doneConsuming | ( |  | ) |

virtual

Must be called once after each time beginConsuming has been called.

Implements TermConsumer.

Definition at line 35 of file DecomRecorder.cpp.

## Member Data Documentation

## _recordInto

Ideal* DecomRecorder::_recordInto

private

Definition at line 35 of file DecomRecorder.h.

The documentation for this class was generated from the following files:

- src/DecomRecorder.h
- src/DecomRecorder.cpp